## Index

### Classes

- JsonService

### Interfaces

- IJsonParserOptions

### Type aliases

- JsonKeysNamingStrategy

### Variables

- dateFormatISORegEx
- dateFormatMSRegEx

## Type aliases

### JsonKeysNamingStrategy

JsonKeysNamingStrategy: "underscore" | "hyphen" | "pascal" | "none"

- Defined in src/services/JsonService.ts:10

## Variables

### Const dateFormatISORegEx

dateFormatISORegEx: RegExp = /^(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}(?:\.\d*)?)Z$/

- Defined in src/services/JsonService.ts:7

### Const dateFormatMSRegEx

dateFormatMSRegEx: RegExp = /^\/Date\((d|-|.*)\)[\/|\\]$/

- Defined in src/services/JsonService.ts:8

Generated using TypeDoc